"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var distinct_1 = require("./distinct");
var TriggerElementMonitor = /** @class */ (function () {
    function TriggerElementMonitor(widget) {
        this.container = widget.container;
        this.events = widget.events;
    }
    TriggerElementMonitor.prototype.watch = function (elements) {
        var existingElements = this.container.get('triggerElements') || [];
        var triggerElements = distinct_1.default(existingElements.concat(elements));
        this.container.register('triggerElements', triggerElements);
        this.events.dispatch('bootstrap:trigger-elements-updated', { triggerElements: triggerElements }, { bubbles: true });
    };
    return TriggerElementMonitor;
}());
exports.default = TriggerElementMonitor;
//# sourceMappingURL=trigger-element-monitor.js.map